% Selects optimal GMPR interfaces from the list.
% Optimal GMPR interfaces are those having the minimal \Theta_m
function optimal_interfaces = get_optimal_gmpr_interfaces(interfaces)

optimal_interfaces = struct('Pi', {}, 'thetas', {});

% define min demand
for i = 1:numel(interfaces)
    if (i == 1)
        demand = max(interfaces(1).thetas);
    else
        if (max(interfaces(i).thetas) < demand)
            demand = max(interfaces(i).thetas);
        end
    end
end

% selecting interfaces with min demand
for i = 1:numel(interfaces)
    
    if (max(interfaces(i).thetas) == demand)
       optimal_interfaces(numel(optimal_interfaces) + 1) = interfaces(i);
    end
end
   
end