function plot_gmpr_psf_k(Pi, thetas, tMin, tMax, k, curColor)

n = numel(thetas);

% Start point
Ts(1) = tMin;
PsfValues(1) = gmpr_psf_k(k, thetas, tMin, Pi);

% Intermediate points of slope change
for t = (tMin+2):tMax
    curPsfValue = gmpr_psf_k(k, thetas, t, Pi);
    prevPsfValue = gmpr_psf_k(k, thetas, t-1, Pi);
    beforePrevPsfValue = gmpr_psf_k(k, thetas, t-2, Pi);
    
    if ((curPsfValue - prevPsfValue) ~= (prevPsfValue - beforePrevPsfValue))
        Ts(end+1) = t-1;
        PsfValues(end+1) = prevPsfValue;
    end
end

% End point
Ts(end+1) = tMax;
PsfValues(end+1) = gmpr_psf_k(k, thetas, t, Pi);

% Plot
plot(Ts, PsfValues, '-o', 'Color', curColor, 'MarkerEdgeColor', 'auto', 'MarkerSize', 4, 'LineWidth', 1.6);
hold on;

end